package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * Description 直播课下架
 *
 * @author liujunchi
 * @date 2022-08-03
 */
@ApiModel("直播课下架参数")
public class LiveSaleOutDto {

    @NotNull(message = "课程组id不能为空")
    @ApiModelProperty(value = "直播课课程组id",required = true)
    private Long courseGroupId;

    @NotNull(message = "上下架状态不能为空")
    @ApiModelProperty(value = "上下架  0：下架 1：上架",required = true)
    private Long status;


    @ApiModelProperty("下架原因")
    private String reason;


    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
